import time
import sys

#
if not Misc.CurrentScriptDirectory() in sys.path:
    sys.path.append(Misc.CurrentScriptDirectory())

import common
common.Player = Player
common.Target = Target
common.Items = Items
common.Mobiles = Mobiles
common.Misc = Misc
common.Journal = Journal
common.Statics = Statics
common.Gumps = Gumps
common.Spells = Spells
common.BandageHeal = BandageHeal
#
from System.Collections.Generic import List
from System import Byte, Int32
#
#
def IsBoss(enemy):
    if enemy is None:
        return False
    name = enemy.Name
    bosses = ['Master', 'Neira', 'rikktor', 'semidar', 'mephitis' ]
    for boss in bosses:
       if boss.upper() in name.upper():
          return True
    return False      
  
    
Misc.ClearIgnore( )
if Misc.CheckSharedValue("Pets"):
    for pet in Misc.ReadSharedValue("Pets"):
        Misc.IgnoreObject(pet)


dont_kill = [ 'a dog', 'a cat', 'a horse', 'Dart', 'an energy vortex' ]
ignore_type = [0x007b ]
#0x0190, 0x0191, 
last_attack_msg = time.time()
last_attack_serial = 0
#
last_enemy = None
while True:
    #
    enemy = Target.GetTargetFromList("strongest")
    if enemy:
        #Misc.SendMessage("{} enemies within 10 squares".format(len(enemies)))
        Player.SetWarMode(True)
        if enemy.Name in dont_kill  or enemy.Body in ignore_type:
            Misc.IgnoreObject(enemy.Serial)
            enemy = None
        # ignore energy vortex
        if enemy and enemy.Body == 0x00A4 and enemy.Hue == 0:    
            Misc.IgnoreObject(enemy.Serial)
            enemy = None
        #if enemy == last_enemy or Player.InRangeMobile(enemy, 3):
            #pass
        #else:
            #Player.PathFindTo(enemy.Position.X, enemy.Position.Y, enemy.Position.Z)
            #last_enemy = enemy   
        if enemy != None:
            Player.Attack(enemy)
            if last_attack_serial != enemy.Serial or time.time() > last_attack_msg + 5:
                Mobiles.Message(enemy, 5, "Attacking 0x{:08x}".format(enemy.Serial))
                last_attack_msg = time.time()
                last_attack_serial = enemy.Serial
            Player.Attack(enemy.Serial)   
    #

#                      
    if Player.Weight > (.8 * Player.MaxWeight) or len(Player.Backpack.Contains) > 80 :
        Player.HeadMessage(1, "Heavy") 
    Misc.Pause(100)


